macOS Catalina 10.15.4 warns that legacy kernel extensions won’t work in the future

The new macOS Catalina 10.15.4 software that dropped this week throws a compatibility message when a kernel extension first loads or is being used. According to a newly published support document on Apple’s website, some kernel extensions will not work in the future.